> ## Documentation Index
> Fetch the complete documentation index at: https://docs.igboapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Speech to Text

> Transcribe Igbo audio to text. Returns a string of text representing the audio passed into the endpoint.



## OpenAPI

````yaml POST /speech-to-text
openapi: 3.0.1
info:
  title: The Igbo API
  description: >-
    An API that enables developers to interact with African language models and
    fetch Igbo word data
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://igboapi.com/api/v2
security:
  - ApiKeyAuth: []
paths:
  /speech-to-text:
    post:
      description: >-
        Transcribe Igbo audio to text. Returns a string of text representing the
        audio passed into the endpoint.
      requestBody:
        description: The audio URL to be transcribed is sent in the request body
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TranscriptionInput'
              type: object
      responses:
        '200':
          description: The transcribed Igbo text of the given input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TranscriptionOutput'
                type: object
components:
  schemas:
    TranscriptionInput:
      required:
        - audioUrl
      type: object
      properties:
        audioUrl:
          type: string
    TranscriptionOutput:
      required:
        - transcription
      type: object
      properties:
        transcription:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````